#include <bits/stdc++.h>
using namespace std;

int a[200000];

int main() {
    int n, k; scanf("%d%d", &n, &k);

    for(int i=0;i<n;++i) scanf("%d", &a[i]);

    int cnt=0;
    for(int i=0;i<n;++i) if(a[i]==1) cnt++;

    printf("%d", cnt>=k);
}